﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIShell.OSGi;
using LogsPlugin.Service;

namespace LogsPlugin
{
    public class Activator : IBundleActivator
    {
        public static IBundleContext Context { get; private set; }
        private IDbLogService _dbLogService;

        public void Start(IBundleContext context)
        {
            Context = context;
            // Add IDbLogService.
            _dbLogService = new DbLogService();
            context.AddService<IDbLogService>(_dbLogService);
        }

        public void Stop(IBundleContext context)
        {
            // Remove IDbLogService service.
            context.RemoveService<IDbLogService>(_dbLogService);
            Context = null;
        }
    }
}
