﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LogsPlugin
{
    public interface IDbLogService
    {
        /// <summary>
        /// Log a db creation action message.
        /// </summary>
        /// <param name="msg">The message to be logged.</param>
        void LogCreate(string msg);
        /// <summary>
        /// Log a db update action message.
        /// </summary>
        /// <param name="msg">The message.</param>
        void LogUpdate(string msg);
        /// <summary>
        /// Log a db delete message.
        /// </summary>
        /// <param name="msg">The message.</param>
        void LogDelete(string msg);
    }
}
