﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UIShell.OSGi;
using LogsPlugin;

namespace MoviesPlugin
{
    public class Activator : IBundleActivator
    {
        public static IBundleContext Context { get; private set; }
        public static IDbLogService DbLogService { get; private set; }
        public void Start(IBundleContext context)
        {
            Context = context;
            // Get IDbLogService.
            DbLogService = context.GetFirstOrDefaultService<IDbLogService>();
            // Listen ServiceChanged event.
            context.ServiceChanged += new EventHandler<ServiceEventArgs>(context_ServiceChanged);
        }

        void context_ServiceChanged(object sender, ServiceEventArgs e)
        {
            // Update the Service instance if Service is added or removed.
            if (Context != null && e.ServiceType.CompareTo(typeof(IDbLogService).FullName) == 0)
            {
                DbLogService = Context.GetFirstOrDefaultService<IDbLogService>();
            }
        }

        public void Stop(IBundleContext context)
        {
            Context = null;
        }
    }
}
